using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace UWB_GUI
{
    public abstract class UWB_UI_Element
    {
        protected Rectangle m_Bounds = new Rectangle();

        public virtual Rectangle GetBounds()
        {
            return m_Bounds;
        }

        public virtual void setSelected(Point mousePosition) { }
        public virtual void setHighlighted(Point mousePosition) { }
        public abstract void Update(GameTime gameTime);
        public abstract void Draw(GraphicsDeviceManager graphics, SpriteBatch spriteBatch);
    }
}
