using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace UWB_GUI
{
    public class UWB_UI_Item
    {
        private String m_Name;
        private UWB_UI_Element m_Item;

        public UWB_UI_Item(String name, UWB_UI_Element item)
        {
            m_Name = name;
            m_Item = item;
        }

        public String Name
        {
            get { return m_Name; }
            set { m_Name = value; }
        }

        public UWB_UI_Element Item
        {
            get { return m_Item; }
            set { m_Item = value; }
        }

        public void Update(GameTime gameTime)
        {
            m_Item.Update(gameTime);
        }

        public void Draw(GraphicsDeviceManager graphics, SpriteBatch spriteBatch)
        {
            m_Item.Draw(graphics, spriteBatch);
        }
    }
}
